@model IEnumerable<MyVod.Infrastructure.Models.Person>

@{
    ViewBag.Title = "Genres";
    Layout = "_Layout";
}

<h2  class="page-header">Persons</h2>

<section class="single-movie-container">
    <section class="admin-button-wrapper">
        <a asp-area="admin" asp-controller="Person" asp-action="create" class="btn btn-success">Add New</a>
    </section>

    <section>
        <ul class="list-group admin-list">
            @foreach (var person in Model!)
            {
                <li>
                    @person.FirstName @person.LastName
                    <div>
                        <a asp-area="admin" asp-controller="Person" asp-action="edit" asp-route-id="@person.Id" class="btn btn-primary">Edit</a>
                        <a asp-area="admin" asp-controller="Person" asp-action="delete" asp-route-id="@person.Id"  class="btn btn-danger">Delete</a>
                    </div>
                </li>
            }
        </ul> 
    </section>
</section>